Loading...
Searching...
No Matches
array_wrapper.h File Reference
`#include "platform.h"`
`#include "algorithm.h"`
`#include "error_handler.h"`
`#include "exception.h"`
`#include "hash.h"`
`#include "iterator.h"`
`#include "parameter_type.h"`

Go to the source code of this file.

## Classes

class | etl::array_wrapper_exception
| The base class for array_wrapper exceptions. More...
class | etl::array_wrapper_bounds
class | etl::array_wrapper< T, SIZE_, ARRAY_ >
| Array wrapper. More...

## Namespaces

namespace | etl

## Macros

#define | ETL_ARRAY_WRAPPER(arraytype, arrayobject)

## Functions

template<typename TL, typename TR, size_t SIZEL, size_t SIZER, TL(&) ARRAYL, TR(&) ARRAYR>
bool | etl::operator== (const etl::array_wrapper< TL, SIZEL, ARRAYL > &lhs, const etl::array_wrapper< TR, SIZER, ARRAYR > &rhs)
| Equality for array wrappers.
template<typename TL, typename TR, size_t SIZEL, size_t SIZER, TL(&) ARRAYL, TR(&) ARRAYR>
bool | etl::operator!= (const etl::array_wrapper< TL, SIZEL, ARRAYL > &lhs, const etl::array_wrapper< TR, SIZER, ARRAYR > &rhs)
| Inequality for array wrapper.
template<typename TL, typename TR, size_t SIZEL, size_t SIZER, TL(&) ARRAYL, TR(&) ARRAYR>
bool | etl::operator< (const etl::array_wrapper< TL, SIZEL, ARRAYL > &lhs, const etl::array_wrapper< TR, SIZER, ARRAYR > &rhs)
| Less-than for array wrapper.
template<typename TL, typename TR, size_t SIZEL, size_t SIZER, TL(&) ARRAYL, TR(&) ARRAYR>
bool | etl::operator> (const etl::array_wrapper< TL, SIZEL, ARRAYL > &lhs, const etl::array_wrapper< TR, SIZER, ARRAYR > &rhs)
| Greater-than for array wrapper.
template<typename TL, typename TR, size_t SIZEL, size_t SIZER, TL(&) ARRAYL, TR(&) ARRAYR>
bool | etl::operator<= (const etl::array_wrapper< TL, SIZEL, ARRAYL > &lhs, const etl::array_wrapper< TR, SIZER, ARRAYR > &rhs)
| Less-than-equal for array wrapper.
template<typename TL, typename TR, size_t SIZEL, size_t SIZER, TL(&) ARRAYL, TR(&) ARRAYR>
bool | etl::operator>= (const etl::array_wrapper< TL, SIZEL, ARRAYL > &lhs, const etl::array_wrapper< TR, SIZER, ARRAYR > &rhs)
| Greater-than-equal for array wrapper.
template<typename T, size_t SIZE, T(&) ARRAYL, T(&) ARRAYR>
void | swap (etl::array_wrapper< T, SIZE, ARRAYL > &lhs, etl::array_wrapper< T, SIZE, ARRAYR > &rhs)
| Swap.

## Macro Definition Documentation

## ETL_ARRAY_WRAPPER

#define ETL_ARRAY_WRAPPER | ( |  | arraytype,
|  |  | arrayobject )

Value:
etl::array_wrapper<arraytype, ETL_ARRAY_SIZE(arrayobject), arrayobject>
etl::array_wrapper
Array wrapper.
Definition array_wrapper.h:80